// import file from '@/api/file';
// import proof from '@/api/proof';
// import template from '@/api/template';
// import user from '@/api/user';
// export default {
//     file,
//     proof,
//     template,
//     user,
// };
const apiContext = require.context('./modules/', true,  /\.ts$/ );
const apis: any = {};
apiContext.keys().forEach((key: string) => {
    const apiName: string | undefined  = key.split('/').pop()?.replace(/\.\w+$/, '');
    apis[(apiName as string)] = apiContext(key).default;
});
export default {
    install(Vue: any) {
        Vue.prototype.$api = apis;
    },
};
